*** __init__.py.ORIG	2007-05-17 18:17:28.000000000 +0200
--- __init__.py	2007-05-18 12:33:19.000000000 +0200
***************
*** 746,750 ****
      'lines.marker'       : ['None', str],     # black
      'lines.markeredgewidth'       : [0.5, validate_float],
!     'lines.markersize'  : [6, validate_float],       # markersize, in points
      'lines.antialiased' : [True, validate_bool],     # antialised (no jaggies)
      'lines.dash_joinstyle' : ['miter', validate_joinstyle],
--- 746,750 ----
      'lines.marker'       : ['None', str],     # black
      'lines.markeredgewidth'       : [0.5, validate_float],
!     'lines.markersize'  : [6.0, validate_float],       # markersize, in points
      'lines.antialiased' : [True, validate_bool],     # antialised (no jaggies)
      'lines.dash_joinstyle' : ['miter', validate_joinstyle],
***************
*** 767,775 ****
      'font.weight'       : ['normal', str],           #
      'font.size'         : [12.0, validate_float], #
!     'font.serif'        : ['Bitstream Vera Serif, New Century Schoolbook, Century Schoolbook L, Utopia, ITC Bookman, Bookman, Nimbus Roman No9 L, Times New Roman, Times, Palatino, Charter, serif', validate_comma_sep_str],
!     'font.sans-serif'   : ['Bitstream Vera Sans, Lucida Grande, Verdana, Geneva, Lucid, Arial, Helvetica, Avant Garde, sans-serif', validate_comma_sep_str],
!     'font.cursive'      : ['Apple Chancery, Textile, Zapf Chancery, Sand, cursive', validate_comma_sep_str],
!     'font.fantasy'      : ['Comic Sans MS, Chicago, Charcoal, Impact, Western, fantasy', validate_comma_sep_str],
!     'font.monospace'    : ['Bitstream Vera Sans Mono, Andale Mono, Nimbus Mono L, Courier New, Courier, Fixed, Terminal, monospace', validate_comma_sep_str],
  
      # text props
--- 767,775 ----
      'font.weight'       : ['normal', str],           #
      'font.size'         : [12.0, validate_float], #
!     'font.serif'        : ['Bitstream Vera Serif, New Century Schoolbook, Century Schoolbook L, Utopia, ITC Bookman, Bookman, Nimbus Roman No9 L, Times New Roman, Times, Palatino, Charter, serif'.split(', '), validate_comma_sep_str],
!     'font.sans-serif'   : ['Bitstream Vera Sans, Lucida Grande, Verdana, Geneva, Lucid, Arial, Helvetica, Avant Garde, sans-serif'.split(', '), validate_comma_sep_str],
!     'font.cursive'      : ['Apple Chancery, Textile, Zapf Chancery, Sand, cursive'.split(', '), validate_comma_sep_str],
!     'font.fantasy'      : ['Comic Sans MS, Chicago, Charcoal, Impact, Western, fantasy'.split(', '), validate_comma_sep_str],
!     'font.monospace'    : ['Bitstream Vera Sans Mono, Andale Mono, Nimbus Mono L, Courier New, Courier, Fixed, Terminal, monospace'.split(', '), validate_comma_sep_str],
  
      # text props
***************
*** 827,842 ****
  
      # tick properties
!     'xtick.major.size'   : [4, validate_float],      # major xtick size in points
!     'xtick.minor.size'   : [2, validate_float],      # minor xtick size in points
!     'xtick.major.pad'    : [4, validate_float],      # distance to label in points
!     'xtick.minor.pad'    : [4, validate_float],      # distance to label in points
      'xtick.color'        : ['k', validate_color],    # color of the xtick labels
      'xtick.labelsize'    : [12, validate_fontsize], # fontsize of the xtick labels
      'xtick.direction'    : ['in', str],            # direction of xticks
  
!     'ytick.major.size'   : [4, validate_float],      # major ytick size in points
!     'ytick.minor.size'   : [2, validate_float],      # minor ytick size in points
!     'ytick.major.pad'    : [4, validate_float],      # distance to label in points
!     'ytick.minor.pad'    : [4, validate_float],      # distance to label in points
      'ytick.color'        : ['k', validate_color],    # color of the ytick labels
      'ytick.labelsize'    : [12, validate_fontsize], # fontsize of the ytick labels
--- 827,842 ----
  
      # tick properties
!     'xtick.major.size'   : [4.0, validate_float],      # major xtick size in points
!     'xtick.minor.size'   : [2.0, validate_float],      # minor xtick size in points
!     'xtick.major.pad'    : [4.0, validate_float],      # distance to label in points
!     'xtick.minor.pad'    : [4.0, validate_float],      # distance to label in points
      'xtick.color'        : ['k', validate_color],    # color of the xtick labels
      'xtick.labelsize'    : [12, validate_fontsize], # fontsize of the xtick labels
      'xtick.direction'    : ['in', str],            # direction of xticks
  
!     'ytick.major.size'   : [4.0, validate_float],      # major ytick size in points
!     'ytick.minor.size'   : [2.0, validate_float],      # minor ytick size in points
!     'ytick.major.pad'    : [4.0, validate_float],      # distance to label in points
!     'ytick.minor.pad'    : [4.0, validate_float],      # distance to label in points
      'ytick.color'        : ['k', validate_color],    # color of the ytick labels
      'ytick.labelsize'    : [12, validate_fontsize], # fontsize of the ytick labels
***************
*** 850,855 ****
      # figure props
      # figure size in inches: width by height
!     'figure.figsize'    : [ (8,6), validate_nseq_float(2)],
!     'figure.dpi'        : [ 80, validate_float],   # DPI
      'figure.facecolor'  : [ '0.75', validate_color], # facecolor; scalar gray
      'figure.edgecolor'  : [ 'w', validate_color],  # edgecolor; white
--- 850,855 ----
      # figure props
      # figure size in inches: width by height
!     'figure.figsize'    : [ (8.0,6.0), validate_nseq_float(2)],
!     'figure.dpi'        : [ 80.0, validate_float],   # DPI
      'figure.facecolor'  : [ '0.75', validate_color], # facecolor; scalar gray
      'figure.edgecolor'  : [ 'w', validate_color],  # edgecolor; white
***************
*** 863,867 ****
  
  
!     'savefig.dpi'       : [ 100, validate_float],   # DPI
      'savefig.facecolor' : [ 'w', validate_color],  # facecolor; white
      'savefig.edgecolor' : [ 'w', validate_color],  # edgecolor; white
--- 863,867 ----
  
  
!     'savefig.dpi'       : [ 100.0, validate_float],   # DPI
      'savefig.facecolor' : [ 'w', validate_color],  # facecolor; white
      'savefig.edgecolor' : [ 'w', validate_color],  # edgecolor; white
***************
*** 991,995 ****
  def rc_params(fail_on_error=False):
      'Return the default params updated from the values in the rc file'
- 
      fname = matplotlib_fname()
      if not os.path.exists(fname):
--- 991,994 ----
